Subject: Re: bug#9293: say what they are shadowed by

From: Stefan Kangas <[email-masked]>
Date: Tue, 27 Oct 2020 21:53:52 -0700

Stefan Kangas <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> [email-masked] writes:
>>
>> >    Tar mode defined in `tar-mode.el':...
>> >    0 .. 9             digit-argument  (binding currently shadowed)
>> >
>> > Shadowed by what?
>> >
>> >    e .. f             tar-extract  (binding currently shadowed)
>>
>> [...]

Note that the text here is changed to "(this binding is currently
shadowed)", see Bug#14086.

>>
>> > Say what mode on each of such lines!
>>
>> This was eight years ago -- has this been fixed in the meantime?
>
> Nope.
>
>> If not -- what are the steps to reproduce this bug?  I'm not getting any
>> shadowed bindings.
>
> I am working on the branch scratch/substitute-command-keys to replace
> s-c-k with a Lisp version, but I have not had much time lately so
> there has been no progress in a couple of months. I can't remember the
> current status, but I think there may be some tests for this there. Or
> I didn't get to that yet, sorry, I can't remember now.
>
> I hope that this would be easier to fix once we have the Lisp version
> of s-c-k

Contrary to my hopes this part was in fact _not_ converted to Lisp with
the merge of scratch/substitute-command-keys.  This was due to poor
performance of my Lisp version of that code.  So this should be as easy
or hard as it was before to fix.

The text comes from describe_map in keymap.c (at the very end of the
function) if someone wants to take a stab at improving this.